<?php
/**
 * core.framework
 *
 * @category   Core
 * @package    Core_Form
 * @copyright  Copyright (c) 2011. Burza d.o.o. (http://web.burza.hr/en/)
 * @license    proprietary
 */

/**
 * @category  Core
 * @package   Core_Form
 * @copyright Copyright (c) 2011. Burza d.o.o. (http://web.burza.hr/en/)
 * @license   proprietary
 */
interface Core_Form_Entity_Interface extends Core_Plugin_Interface
{
    /**
     * @return string
     */
    public function getFullyQualifiedAngularId();

    /**
     * @return string
     */
    public function getFullyQualifiedAngularModel();

    /**
     * @return string
     */
    public function getFullyQualifiedId();

    /**
     * @return string
     */
    public function getFullyQualifiedName();

    /**
     * @return Core_Form_Group_Interface
     */
    public function getParent();

    /**
     * @return Core_Form_Group_Interface
     */
    public function getRoot();

    /**
     * @param boolean $prototype
     */
    public function setPrototype($prototype);
    
    /**
     * @return Zend_Translate
     */
    public function getTranslator();
}
